Bug 522589 - virt-manager's clone operation gives an obscure error message when the host doesn't support vol-create-from
Summary: virt-manager's clone operation gives an obscure error message when the host d...
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Virtualization Tools
Classification: Community
Component: virt-manager
Version: unspecified
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Daniel Berrangé
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-10 18:45 UTC by Eric Paris
Modified: 2010-03-16 17:23 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-12-02 15:23:39 UTC


Attachments (Terms of Use)

Description Eric Paris 2009-09-10 18:45:58 UTC
I connect using ssh from my rawhide machine running virt-manager:
virt-manager-0.8.0-2.fc12.noarch

To my RHEL 5.4 host:
libvirt-0.6.3-20.1.el5_4

And I am trying to clone the VM.  I changed the name of the new VM and I changed the file name I wanted to use for the new VM image.

It then popped up the following error dialog and traceback.

Error creating virtual machine clone 'Rawhide2': Couldn't create storage volume 'Rawhide2.img': 'unknown procedure: 125'

Traceback (most recent call last):
  File "/usr/share/virt-manager/virtManager/clone.py", line 751, in _async_clone
    CloneManager.start_duplicate(self.clone_design, meter)
  File "/usr/lib/python2.6/site-packages/virtinst/CloneManager.py", line 634, in start_duplicate
    _do_duplicate(design, meter)
  File "/usr/lib/python2.6/site-packages/virtinst/CloneManager.py", line 659, in _do_duplicate
    dst_dev.setup(meter)
  File "/usr/lib/python2.6/site-packages/virtinst/VirtualDisk.py", line 905, in setup
    self._do_create_storage(progresscb)
  File "/usr/lib/python2.6/site-packages/virtinst/VirtualDisk.py", line 771, in _do_create_storage
    self._set_vol_object(self.vol_install.install(meter=progresscb),
  File "/usr/lib/python2.6/site-packages/virtinst/Storage.py", line 977, in install
    "'%s': '%s'" % (self.name, str(e)))
RuntimeError: Couldn't create storage volume 'Rawhide2.img': 'unknown procedure: 125'

Comment 1 Mark McLoughlin 2009-09-11 14:20:29 UTC
This (admittedly obscure) error just means that the RHEL5.4 host doesn't support the volume cloning API. It was only introduced in 0.6.4

Closing as NOTABUG

Comment 2 Mark McLoughlin 2009-09-11 14:37:26 UTC
Eric points out the error message should be fixed

Comment 3 Cole Robinson 2009-12-02 15:23:39 UTC
Okay, we should give an explicit 'Cloning not supported error' now. Unfortunately it is difficult to detect whether the API is available for a remote connection, so the error will still happen at clone time, but its better than nothing:

http://hg.fedorahosted.org/hg/python-virtinst/rev/c2764fbee918


Note You need to log in before you can comment on or make changes to this bug.